Transmission Version for iMac 4,1 early 2006

Feature requests for the Mac OS X version of Transmission
Post Reply
eyendall
Posts: 3
Joined: Fri Nov 20, 2020 10:30 pm

Transmission Version for iMac 4,1 early 2006

Post by eyendall »

Can anyone here help me locate for download the correct version of Transmission for the iMac 4,1 2006? TYwo days of Google searches have not produced a site that is still active. I have replaced this for a newer model and want to pass it on to my granddaughter. Thanks.
mike.dld
Transmission Developer
Posts: 290
Joined: Wed Dec 25, 2013 10:56 pm

Re: Transmission Version for iMac 4,1 early 2006

Post by mike.dld »

Based on the OS version, you may find the proper DMG link in https://transmissionbt.com/appcast.xml (pay attention to sparkle:minimumSystemVersion tags). If there's no suitable version listed there, you could try some other (earlier) ones from https://github.com/transmission/transmission-releases.
eyendall
Posts: 3
Joined: Fri Nov 20, 2020 10:30 pm

Re: Transmission Version for iMac 4,1 early 2006

Post by eyendall »

Thank you very much, mike.did. I got what I needed from github.com, but couldn't interpret what came down from the first site you gave. Much appreciated.
mike.dld
Transmission Developer
Posts: 290
Joined: Wed Dec 25, 2013 10:56 pm

Re: Transmission Version for iMac 4,1 early 2006

Post by mike.dld »

First link points to an XML file used by Transmission when checking for updates. It currently states that
  • Transmission version 3.00 requires OS version 10.10.0 an up
  • Transmission version 2.94 requires OS version 10.7.0 an up
  • Transmission version 2.84 requires OS version 10.6.0 an up
  • Transmission version 2.42 requires OS version 10.5.0 an up
  • Transmission version 1.54 requires OS version 10.4.11 an up
eyendall
Posts: 3
Joined: Fri Nov 20, 2020 10:30 pm

Re: Transmission Version for iMac 4,1 early 2006

Post by eyendall »

Thanks again. The result I got was incomprehensible, nothing like what you have given me now. Using the github link I had chosen a much earlier version of transmission, now changed to v2.84 with OS X 10.6,8, successfully installed but evidently not correctly set-up since when attempting to download I get an error message saying torrents cannot be downloaded to an empty folder, the folder must contain a file". What kind of file? What am I doing wrong? I have set-up and used Transmission on two other iMacs and have never encountered this problem. If you can help me sort this out I would be very grateful. Apologies if I am asking too much of your generousity and goodwill.
Marian12045
Posts: 1
Joined: Fri Nov 27, 2020 4:32 am

Re: Transmission Version for iMac 4,1 early 2006

Post by Marian12045 »

Transmission version 3.00 requires OS version 10.10.0 and up
Transmission version 2.94 requires OS version 10.7.0 and up

For more, you can visite Facetime PC
Post Reply